IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Request Count GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Requests

Get Request Count

Retrieve the daily count of API requests made by your team within a specified date range. Use this endpoint to monitor API usage patterns, identify peak activity periods, and plan capacity.

GET
/v0/requests/count

Authorization

Bearer
AuthorizationBearer <token>

In: header

Query Parameters

  • start_datetime
    stringnullable
    date-time

    Start datetime in ISO format (e.g., 2023-01-01T00:00:00)

  • end_datetime
    stringnullable
    date-time

    End datetime in ISO format (e.g., 2023-01-01T23:59:59)

  • timezone
    string
    default: "UTC"

    IANA timezone string (e.g., 'Europe/Madrid', 'America/New_York')

  • is_origin_app
    booleannullable

    Filter by origin app or api

  • api_key_id
    stringnullable
    uuid

    Filter by API key id

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v0/requests/count"
    [
      {
        "period_start": "2019-08-24T14:15:22Z",
        "number_of_requests": 0
      }
    ]
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Generate Dataset Credentials POST

    Generate temporary S3 credentials to directly access and download dataset files from cloud storage. Credentials are valid for 7 days by default and provide read-only access to your team's available datasets.

    Get Saved Search GET

    Next Page